Your iPad needs to support at least iOS13. After a certain age of the device or the operating system, our product is not necessarily supported or it does not run smoothly. Smartphones are not yet supported. You also need access to the Apple App Store.

Did this answer your question?